Skip to main content
`Ctrl`+`K`

# create_config_file

astropy.config.create_config_file(pkg, rootname='astropy', overwrite=False)

  Create the default configuration file for the specified package. If the file already exists, it is updated only if it has not been modified. Otherwise the `overwrite` flag is needed to overwrite it.

  Parameters:
    pkg `python:str`

      The package to be updated.

    rootname `python:str`

      Name of the root configuration directory.

    overwrite bool

      Force updating the file if it already exists.

  Returns:
    updated bool

      If the profile was updated, `True`, otherwise `False`.